function verifyDiskSpace(dirPath, spaceRequired)
{
 var spaceAvailable;
 spaceAvailable = fileGetDiskSpaceAvailable(dirPath);
 spaceAvailable = parseInt(spaceAvailable / 1024);
 if(spaceAvailable < spaceRequired)
 {
 logComment("Insufficient disk space: " + dirPath);
 logComment("  required : " + spaceRequired + " K");
 logComment("  available: " + spaceAvailable + " K");
 return(false);
 }
 return(true);
}
var srDest = 262;
var err;
var fProgram;
var prettyName = "LCARStrek";
var version    = "0.4";
var regName    = "skins/KaiRo/LCARStrek";
var chromeName = "LCARStrek.jar";
err = initInstall(prettyName, regName, version);
logComment("initInstall: " + err);
fProgram = getFolder("Program");
logComment("fProgram: " + fProgram);
if (verifyDiskSpace(fProgram, srDest))

{
 var cf = getFolder("Chrome");
 logComment("chromefolder: " + cf);
 err = addFile(prettyName, chromeName, cf, "");
 logComment("addFile() returned: " + err);
 var jar_file = getFolder("Chrome", chromeName);
 logComment("jar file: " + jar_file);
 registerChrome(SKIN, jar_file, "");
 if (err == SUCCESS)
 {
 err = performInstall();
 logComment("performInstall() returned: " + err);
 alert("Installation finished. You can now select to use this theme via the View menu.");
 }
 else
 {
 cancelInstall(err);
 logComment("cancelInstall due to error: " + err);
 alert("Installation canceled. Error code was " + err);
 }
}
else
 cancelInstall(INSUFFICIENT_DISK_SPACE);




